package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.pc.entity.QualityPrint;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface QualityPrintService extends BaseService<QualityPrint> {
    List<QualityPrint> getInfoBatch(String sectionNos, Date date);
    List<QualityPrint> getInfoBatchNew(List<String> sectionNos);
    List<QualityPrint> getInfoBatchFB(String sectionNos);
    List<QualityPrint> getInfoBatchFBNew(List<String> sectionNos);
    List<Map<String,Object>> getInfoBatchStatic(String sectionNos, Date date);
    List<Map<String,Object>> getInfoBatchStaticNew(List<String> sectionNos);

    List<QualityPrint> findBySectionNo(String sectionNo);
}
